PHP Manual
Prev |  | Next

# SDO_DAS_XML::loadString

(no version information, might be only in CVS)

SDO_DAS_XML::loadString -- Returns SDO_DAS_XML_Document for a given xml instance string

## Description

SDO_DAS_XML_Document SDO_DAS_XML::loadString ( string xml_string )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Constructs the tree of SDO_DataObjects from the given xml instance string. Returns SDO_DAS_XML_Document Object. Use SDO_DAS_XML_Document::getRootDataObject method to get root data object.

## Parameters

`xml_string`

  xml string.

## Return Values

Returns SDO_DAS_XML_Document object on Success or throws exception as described.

## Errors/Exceptions

`SDO_TypeNotFoundException`

  Thrown if a type is not defined by the underlying model.

`SDO_PropertyNotFoundException`

  Thrown if the a property within a type is not defined in the underlying model.

`SDO_DAS_XML_ParserException`

  Thrown for any problems while parsing the given XSD File.

Prev | Home | Next
SDO_DAS_XML::loadFile | Up | SDO_DAS_XML::saveFile